<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:31
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class BmsAlarm{
    public static function tableName()
    {
        return '{{bms_alarm}}';
    }
                
    /**
     * ------------ 字段 alarm_id 
     * ------------ 表字段注释: 
     */
    public function filterByAlarmId($val): self
    {
        $this->filterByColumn("alarm_id", $val);
        return $this;
    }

    public function setAlarmId($val): self
    {
        $this->setAttr("alarm_id", $val);
        return $this;
    }

    public function getAlarmId()
    {
        return $this->alarm_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 macid 
     * ------------ 表字段注释: 设备号
     */
    public function filterByMacid($val): self
    {
        $this->filterByColumn("macid", $val);
        return $this;
    }

    public function setMacid($val): self
    {
        $this->setAttr("macid", $val);
        return $this;
    }

    public function getMacid()
    {
        return $this->macid ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 type 
     * ------------ 表字段注释: 报警类型
     */
    public function filterByType($val): self
    {
        $this->filterByColumn("type", $val);
        return $this;
    }

    public function setType($val): self
    {
        $this->setAttr("type", $val);
        return $this;
    }

    public function getType()
    {
        return $this->type ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 time 
     * ------------ 表字段注释: 时间
     */
    public function filterByTime($val): self
    {
        $this->filterByColumn("time", $val);
        return $this;
    }

    public function setTime($val): self
    {
        $this->setAttr("time", $val);
        return $this;
    }

    public function getTime()
    {
        return $this->time ?? null;
    }
    // ---------------------------------------------
    
}
